> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/pt/editores/exoclick-rtb/bid-response.md).

# Resposta ao lance do ExoClick RTB

A página seguinte descreve as respostas que deve esperar receber dos pedidos ExoClick RTB:

## Objeto de resposta de licitação

A Resposta de Lance ExoClick RTB é feita usando JSON e XML.

| Atributo    | Descrição                                                                                                                                         |
| ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | ID do objeto ao qual este lance se aplica (string)                                                                                                |
| imgUrl      | URL da imagem (apenas para o tipo banner) (string)                                                                                                |
| iconUrl     | URL do ícone (apenas para o tipo push\_notification e deve ter as dimensões solicitadas) (string)                                                 |
| clickUrl    | URL de encaminhamento quando a campanha é clicada (para o tipo banner ou push\_notification) (string)                                             |
| nUrl        | URL de notificação de vitória (string)                                                                                                            |
| url         | URL de encaminhamento quando a campanha é clicada (apenas para o tipo popunder) (string)                                                          |
| title       | Título do anúncio (apenas para o tipo push\_notification) (string)                                                                                |
| description | Descrição do anúncio (apenas para o tipo push\_notification) (string)                                                                             |
| value       | Preço do lance em CPM (float)                                                                                                                     |
| btype       | Modelo de preços. Valores: 1 = CPM, 2 = CPC. Predefinição = 1 (int). Quando a resposta for para um pedido de zona de Email Clicks, 1 = Smart CPC. |

**Notas:**

* `"id"` o atributo deve corresponder ao **"id recebido no pedido"**.
* **Notificação push** o formato de anúncio pode receber licitações com o modelo de preços CPC. **Link Direto** o formato também pode, quando usado para **Cliques de Email** pedidos de zona.

## Notificação de vitória

Quando o parâmetro **Objeto de Resposta de Lance > nUrl** está na resposta do lance, deve ser efetuado um pedido GET para essa URL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/pt/editores/exoclick-rtb/bid-response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
